Loading...
Searching...
No Matches
etl::crc16_en13757_t< Table_Size > Class Template Reference

## Public Member Functions

| crc16_en13757_t ()
| Default constructor.
template<typename TIterator>
| crc16_en13757_t (TIterator begin, const TIterator end)
Public Member Functions inherited from etl::crc_type< etl::private_crc::crc16_en13757_parameters, Table_Size >
| ETL_STATIC_ASSERT ((Table_Size==4U)||(Table_Size==16U)||(Table_Size==256U), "Table size must be 4, 16 or 256")
ETL_CONSTEXPR14 | crc_type ()
| Default constructor.
Public Member Functions inherited from etl::frame_check_sequence< private_crc::crc_policy< etl::private_crc::crc16_en13757_parameters, Table_Size > >
| ETL_STATIC_ASSERT (etl::is_unsigned< value_type >::value, "Signed frame check type not supported")
ETL_CONSTEXPR14 | frame_check_sequence ()
| Default constructor.
ETL_CONSTEXPR14 void | reset ()
| Resets the FCS to the initial state.
ETL_CONSTEXPR14 void | add (TIterator begin, const TIterator end)
ETL_CONSTEXPR14 value_type | value () const
| Gets the FCS value.
ETL_CONSTEXPR14 | operator value_type () const
| Conversion operator to value_type.
ETL_CONSTEXPR14 add_insert_iterator | input ()
| Gets an add_insert_iterator for input.

## Additional Inherited Members

Public Types inherited from etl::frame_check_sequence< private_crc::crc_policy< etl::private_crc::crc16_en13757_parameters, Table_Size > >
typedef private_crc::crc_policy< etl::private_crc::crc16_en13757_parameters, Table_Size > | policy_type
typedef policy_type::value_type | value_type
typedef private_frame_check_sequence::add_insert_iterator< frame_check_sequence< private_crc::crc_policy< etl::private_crc::crc16_en13757_parameters, Table_Size > > > | add_insert_iterator

## Constructor & Destructor Documentation

## crc16_en13757_t()

template<size_t Table_Size>
template<typename TIterator>

etl::crc16_en13757_t< Table_Size >::crc16_en13757_t | ( | TIterator | begin,
|  | const TIterator | end )

inline

Constructor from range.

Parameters

  begin | Start of the range.
  end | End of the range.

The documentation for this class was generated from the following file:

- include/etl/crc16_en13757.h